package checkers;

import java.util.Collections;
import java.util.Set;

import common.Board;
import common.Location;
import common.Move;
import common.Player;

/**
 * Represents a Pawn piece.
 * 
 * Pawns may only move forward, except when on a series of captures where the
 * second capture an on may be a move in a backward direction.
 */
public class Pawn extends AbstractPiece {

	public Pawn(Player player, Location location) {
		super(player, location);
	}

	@Override
	public Set<Move> getPossibleMoves(Board board) {
		// TODO: implement this method
		return Collections.emptySet();
	}

	@Override
	public Set<Move> getNextCapture(Board board) {
		// TODO: implement this method
		return Collections.emptySet();
	}
}
