package checkers;

import common.Piece;

/**
 * Parameters for promotion event 
 *
 */
public class PiecePromotedEvent {
	public Piece pawn;
	public Piece king;
	
	public PiecePromotedEvent(Piece pawn, Piece king) {
		this.pawn = pawn;
		this.king = king;
	}

	/**
	 * @return the pawn that was promoted to king
	 */
	public Piece getPawn() {
		return pawn;
	}
	
	/**
	 * @return the king piece that is placed instead of the pawn
	 */
	public Piece getKing() {
		return king;
	}
}
