package ui;

import common.Location;

/**
 * Parameters for selection of a location on the board
 */
public class LocationSelectedEvent {
	private Location selectedLocation;

	public LocationSelectedEvent(Location selectedLocation) {
		this.selectedLocation = selectedLocation;
	}

	/**
	 * @return the location that was selected
	 */
	public Location getSelectedLocation() {
		return selectedLocation;
	}
}
