package checkers;

import common.Location;
import common.Piece;
import common.Player;

/**
 * An abstract class with common functionality for Piece implementation
 * 
 */
public abstract class AbstractPiece implements Piece {

	private Location location;
	private Player player;

	public AbstractPiece(Player player, Location location) {
		this.player = player;
		this.location = location;
	}

	@Override
	public Location getLocation() {
		return location;
	}

	@Override
	public Player getPlayer() {
		return player;
	}

}
